BEEM - Android XMPP - Bug #204

Deconnection -> segfault dans le sendim.
10/09/2009 02:59 PM - Vincent Véronis

Status: Closed Start date: 10/09/2009
Priority: Normal Due date:

Assignee: Nikita Kozlov % Done: 100%
Category: User Interface Estimated time: 2.00 hours
Target version: Version Forum EIP

Affected version: Locale:

Description

Manipulation :

- Je suis dans la contact list.

- Je me deconnecte en allant dans les notifications.
- Je me retrouve sur la contact list.

- Je selectionne un contact a qui parler.

PAF :

10-09 14:54:50.204: ERROR/AndroidRuntime(775): Uncaught handler: thread main exiting due to uncaught exception
10-09 14:54:50.214: ERROR/AndroidRuntime(775): java.lang.NullPointerException

10-09 14:54:50.214: ERROR/AndroidRuntime(775):  at
com.beem.project.oeem.ui.SendIM$BeemServiceConnection.onServiceConnected(SendIM.java:299)

10-09 14:54:50.214: ERROR/AndroidRuntime(775):  at
android.app.ActivityThread$Packagelnfo$ServiceDispatcher.doConnected(Activity Thread.java:1053)

10-09 14:54:50.214: ERROR/AndroidRuntime(775):  at
android.app.ActivityThread$Packagelnfo$ServiceDispatcher$RunConnection.run(ActivityThread.java:1070)

10-09 14:54:50.214: ERROR/AndroidRuntime(775):  at android.os.Handler.handleCallback(Handler.java:587)
10-09 14:54:50.214: ERROR/AndroidRuntime(775):  at android.os.Handler.dispatchMessage(Handler.java:92)
10-09 14:54:50.214: ERROR/AndroidRuntime(775):  at android.os.Looper.loop(Looper.java:123)

10-09 14:54:50.214: ERROR/AndroidRuntime(775):  at android.app.ActivityThread.main(ActivityThread.java:4203)
10-09 14:54:50.214: ERROR/AndroidRuntime(775):  at java.lang.reflect.Method.invokeNative(Native Method)

10-09 14:54:50.214: ERROR/AndroidRuntime(775):  at java.lang.reflect.Method.invoke(Method.java:521)

10-09 14:54:50.214: ERROR/AndroidRuntime(775):  at
com.android.internal.os.Zygotelnit$MethodAndArgsCaller.run(Zygotelnit.java:791)

10-09 14:54:50.214: ERROR/AndroidRuntime(775):  at com.android.internal.os.Zygotelnit. main(Zygotelnit.java:549)
10-09 14:54:50.214: ERROR/AndroidRuntime(775):  at dalvik.system.NativeStart.main(Native Method)

Il faut gerer le chatmanager comme il faut ;)

Associated revisions

Revision 457:73179276b4ae - 10/11/2009 04:28 PM - Nikita Kozlov
Bug: #204 resolution

Revision 457:73179276b4ae - 10/11/2009 04:28 PM - Nikita Kozlov
Bug: #204 resolution

Revision 457:73179276b4ae - 10/11/2009 04:28 PM - Nikita Kozlov
Bug: #204 resolution

History

#1 - 10/11/2009 05:13 PM - Nikita Kozlov
- Category set to User Interface

- Assignee set to Nikita Kozlov

- Target version set to Version Forum EIP
- % Done changed from 0 to 100

- Estimated time set to 2.00 h
#2 - 10/19/2009 11:28 PM - Frédéric Barthéléry

- Status changed from New to Resolved

#3 - 11/16/2009 07:14 PM - Frédéric Barthéléry

- Status changed from Resolved to Closed
